rule gseapy:
    input:
        filtered="results/differential_expression/{model}/{paramspace_instance}.annotated.{diffexp_filter}.tsv",
        unfiltered="results/differential_expression/{model}/{paramspace_instance}.annotated.nofilter.tsv",
    output:
        "results/gsea/{model}/{paramspace_instance}/{diffexp_filter}/{enrichr_library}.tsv"
    log:
        "logs/gseapy/{model}/{paramspace_instance}/{diffexp_filter}/{enrichr_library}.log"
    params:
        species=config["species"],
    conda:
        "../envs/gseapy.yaml"
    script:
        "../scripts/enrichment.py"