import sys

sys.stderr = open(snakemake.log[0], "w")

import pandas as pd

diffexp = pd.read_csv(
    snakemake.input[0], sep="\t"
)

diffexp_query = snakemake.params.diffexp_query
if diffexp_query:
    try:
        diffexp = diffexp.query(diffexp_query)
    except Exception as e:
        raise ValueError(f"Error evaluating filter expression {f['expr']}: {e}")

diffexp.to_csv(
    snakemake.output[0], sep="\t", index=False
)